Subject: Re: bug#24801: 25.1; Reverse regexp search highlighting

From: [email-masked]
Date: Wed, 26 Oct 2016 19:36:10 -0400

Drew Adams <[email-masked]> writes:

>> `(elisp) Regexp Search', under `re-search-backward' says:...
>
[...]
>      If
>      `re-search-backward' were a perfect mirror image, it would find the
>      match whose end is as close as possible.  However, in fact it
>      finds the match whose beginning is as close as possible.
[...]
>
> I don't think that description is germain to this bug report, except
> insofar as what it describes is _not_ the behavior reported.
>

Isn't it?  The match of aa.* "whose beginning is as close as possible"
when point is at the of a line of a's, is "aa".  So it seems expected
that searching backwards would match pairs of a's.

> This really looks like a bug to me.  But regexp search is so basic
> to Emacs, and this has been like this since Emacs 23, so I can only
> guess that the change in behavior must have been intentional.  But
> if so, why?  What's the advantage/point of such behavior?

Can you describe exactly how the behaviour is different in Emacs 22?

>
> In Emacs 23.4, `C-h n', then `C-s search', shows that there were a
> zillion changes in Isearch behavior.  But this one is not mentioned
> at all.
>
> I have to guess (so far) that this is a bug that was introduced when
> implementing one or more of those zillion documented changes.  But
> if so, why has no one reported it before?

Actually, this report looks similar to 9681, although I see no claims
there that it worked in version 22.